@article{arviz2019,
  doi = {10.21105/joss.01143},
  url = {https://doi.org/10.21105/joss.01143},
  year = {2019},
  publisher = {The Open Journal},
  volume = {4},
  number = {33},
  pages = {1143},
  author = {Ravin Kumar and Colin Carroll and Ari Hartikainen and Osvaldo Martin},
  title = {ArviZ a unified library for exploratory analysis of Bayesian models in Python},
  journal = {Journal of Open Source Software}
}
@article{salvatier2016probabilistic,
  title={Probabilistic programming in Python using PyMC3},
  author={Salvatier, John and Wiecki, Thomas V and Fonnesbeck, Christopher},
  journal={PeerJ Computer Science},
  volume={2},
  pages={e55},
  year={2016},
  publisher={PeerJ Inc.}
}
@misc{Pitkin2018, title={Using a "black box" likelihood function},
url={https://docs.pymc.io/notebooks/blackbox_external_likelihood.html}, journal={Using a "black box" likelihood function
- PyMC3 3.10.0 documentation}, author={Pitkin, Matt}, year={2018}, month={8},
urldate={2021-08-05}}
@article{Waskom2021,
  doi = {10.21105/joss.03021},
  url = {https://doi.org/10.21105/joss.03021},
  year = {2021},
  publisher = {The Open Journal},
  volume = {6},
  number = {60},
  pages = {3021},
  author = {Michael L. Waskom},
  title = {seaborn: statistical data visualization},
  journal = {Journal of Open Source Software}
}
@article{Hunter:2007,
  Author    = {Hunter, J. D.},
  Title     = {Matplotlib: A 2D graphics environment},
  Journal   = {Computing in Science \& Engineering},
  Volume    = {9},
  Number    = {3},
  Pages     = {90--95},
  abstract  = {Matplotlib is a 2D graphics package used for Python for
  application development, interactive scripting, and publication-quality
  image generation across user interfaces and operating systems.},
  publisher = {IEEE COMPUTER SOC},
  doi       = {10.1109/MCSE.2007.55},
  year      = 2007
}
@article{Cyclus150,
    Author = {Robert Carlsen and Robert Flanagan and Matthew Gidden and Ryan Hodge and
Meghan McGarry and Arrielle Opotowsky and Baptiste Mouginot and Anthony Scopatz and Paul
Wilson},
    Title = {Cyclus v1.5.0.},
    year = 2016,
    doi = {10.6084/m9.figshare.4312643.v2},
    journal = {figshare},
}
@article{HUFF201646,
title = {Fundamental concepts in the Cyclus nuclear fuel cycle simulation framework},
journal = {Advances in Engineering Software},
volume = {94},
pages = {46-59},
year = {2016},
issn = {0965-9978},
doi = {https://doi.org/10.1016/j.advengsoft.2016.01.014},
url = {https://www.sciencedirect.com/science/article/pii/S0965997816300229},
author = {Kathryn D. Huff and Matthew J. Gidden and Robert W. Carlsen and Robert R. Flanagan and Meghan B. McGarry and Arrielle C. Opotowsky and Erich A. Schneider and Anthony M. Scopatz and Paul P.H. Wilson},
keywords = {Nuclear fuel cycle, Simulation, Agent based modeling, Nuclear engineering, Object orientation, Systems analysis},
abstract = {As nuclear power expands, technical, economic, political, and environmental analyses of nuclear fuel cycles by simulators increase in importance. To date, however, current tools are often fleet-based rather than discrete and restrictively licensed rather than open source. Each of these choices presents a challenge to modeling fidelity, generality, efficiency, robustness, and scientific transparency. The Cyclus nuclear fuel cycle simulator framework and its modeling ecosystem incorporate modern insights from simulation science and software architecture to solve these problems so that challenges in nuclear fuel cycle analysis can be better addressed. A summary of the Cyclus fuel cycle simulator framework and its modeling ecosystem are presented. Additionally, the implementation of each is discussed in the context of motivating challenges in nuclear fuel cycle simulation. Finally, the current capabilities of Cyclus are demonstrated for both open and closed fuel cycles.}
}
@online{CyclusCEP20,
title={CEP 20 - Time Step Execution Stack},
author={Matthew Gidden},
year={2014},
url={https://fuelcycle.org/cep/cep20.html},
urldate={2021-08-15},
}

% Plot utilities
@misc{matplotlib_scatterhist, title={Scatter plot with histograms},
url={https://matplotlib.org/stable/gallery/lines_bars_and_markers/scatter_hist.html}, journal={Scatter plot with
histograms - Matplotlib 3.4.2 documentation}, author={Matplotlib Development Team}}

@misc{SciPyKDE, title={\texttt{scipy.stats.gaussian\_kde}},
url={https://docs.scipy.org/doc/scipy/reference/generated/scipy.stats.gaussian_kde.html},
journal={scipy.stats.gaussian\_kde - SciPy v1.7.1 Manual}, author={The SciPy authors}, urldate={2021-08-16}}
